Bug 105797 - problems with removal of network devices.
Summary: problems with removal of network devices.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: beta2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-09-27 17:11 UTC by David Woodhouse
Modified: 2015-01-04 22:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 02:03:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2003-09-27 17:11:19 UTC
upon 'cardctl eject' of an orinoco_cs device...

 unregister_netdevice: waiting for eth1 to become free. Usage count = 2

Repeated ad infinitum. Network device list is locked; ifconfig et al. deadlock.

2.4.22-1.2075.nptlsmp

Comment 1 David Woodhouse 2003-11-06 12:24:40 UTC
Happens in 2.6 too. Rumour has it it's IPv6-related and there's even a
fix in Taroon already. I don't have any IPv6-disabled boxes any more
with which I could test this theory.

It's been seen on all removal of network devices, including 'brctl delbr'


Note You need to log in before you can comment on or make changes to this bug.